[PATCH] debian: don't fail postinst when upgrading chroot

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

 



From: Darrick J. Wong <darrick.wong@xxxxxxxxxx>

If we're upgrading a systemd-enabled chroot we'll fail because systemctl
can't connect to a running systemd (nor should it).  We don't need to
issue daemon-reload inside a chroot that doesn't have a running systemd,
so we can ignore the return value.

Signed-off-by: Darrick J. Wong <darrick.wong@xxxxxxxxxx>
---
 debian/postinst |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/debian/postinst b/debian/postinst
index 11693a6..2ad9174 100644
--- a/debian/postinst
+++ b/debian/postinst
@@ -9,7 +9,7 @@ case "${1}" in
 			update-initramfs -u
 		fi
 		if [ -x /bin/systemctl ]; then
-			/bin/systemctl daemon-reload
+			/bin/systemctl daemon-reload 2>&1 || true
 		fi
 		;;
 
--
To unsubscribe from this list: send the line "unsubscribe linux-xfs" in
the body of a message to majordomo@xxxxxxxxxxxxxxx
More majordomo info at  http://vger.kernel.org/majordomo-info.html



[Index of Archives]     [XFS Filesystem Development (older mail)]     [Linux Filesystem Development]     [Linux Audio Users]     [Yosemite Trails]     [Linux Kernel]     [Linux RAID]     [Linux SCSI]


  Powered by Linux